ClickCountRenderer = (function(global){
    var counterElPerBtnName = {};

    function ClickCountRenderer() {
        addClickRealizedEventListener();
    }

    var addClickRealizedEventListener = function() {
        window.addEventListener('clickRealized', function (e) {
            render(e.detail);
        });
    };

    var render = function(detail) {
        counterElPerBtnName[detail.btnName].innerHTML = parseInt(counterElPerBtnName[detail.btnName].innerHTML) + 1;
    };

    var registerCounterElement = function(counterEl, btnName) {
        counterElPerBtnName[btnName] = counterEl;
    };

    ClickCountRenderer.prototype.registerCounterElement = registerCounterElement;

    return ClickCountRenderer;
})(window);